diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/media-upload.php ./wordpress-3.4/wp-admin/media-upload.php
*** ./wordpress-3.3.2/wp-admin/media-upload.php	2011-11-30 22:51:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/media-upload.php	2012-06-10 12:37:49.000000000 -0500
***************
*** 22,27 ****
--- 22,28 ----
  wp_enqueue_script('image-edit');
  wp_enqueue_script('set-post-thumbnail' );
  wp_enqueue_style('imgareaselect');
+ wp_enqueue_script( 'media-gallery' );
  
  @header('Content-Type: ' . get_option('html_type') . '; charset=' . get_option('blog_charset'));
  
***************
*** 31,41 ****
  
  // Require an ID for the edit screen
  if ( isset($action) && $action == 'edit' && !$ID )
! 	wp_die(__("You are not allowed to be here"));
  
  if ( isset($_GET['inline']) ) {
  	$errors = array();
  
  	if ( isset($_POST['html-upload']) && !empty($_FILES) ) {
  		check_admin_referer('media-form');
  		// Upload File button was clicked
--- 32,45 ----
  
  // Require an ID for the edit screen
  if ( isset($action) && $action == 'edit' && !$ID )
! 	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  if ( isset($_GET['inline']) ) {
  	$errors = array();
  
+ 	if ( ! empty( $_REQUEST['post_id'] ) && ! current_user_can( 'edit_post' , $_REQUEST['post_id'] ) )
+ 		wp_die( __( 'Cheatin&#8217; uh?' ) );
+ 
  	if ( isset($_POST['html-upload']) && !empty($_FILES) ) {
  		check_admin_referer('media-form');
  		// Upload File button was clicked
***************
*** 58,63 ****
--- 62,70 ----
  		exit;
  	}
  
+ 	if ( isset( $_REQUEST['post_id'] ) )
+ 		wp_die( __( 'Cheatin&#8217; uh?' ) );
+ 
  	$title = __('Upload New Media');
  	$parent_file = 'upload.php';
  	get_current_screen()->add_help_tab( array(
***************
*** 67,74 ****
  		'<p>' . __('You can upload media files here without creating a post first. This allows you to upload files to use with posts and pages later and/or to get a web link for a particular file that you can share. There are three options for uploading files:') . '</p>' .
  		'<ul>' .
  			'<li>' . __('<strong>Drag and drop</strong> your files into the area below. Multiple files are allowed.') . '</li>' .
- 			'<li>' . __('<strong>Select Files</strong> will open the multi-file uploader, or you can use the <strong>Browser Uploader</strong>.') . '</li>' .
  			'<li>' . __('Clicking <strong>Select Files</strong> opens a navigation window showing you files in your operating system. Selecting <strong>Open</strong> after clicking on the file you want activates a progress bar on the uploader screen.') . '</li>' .
  		'</ul>' .
  		'<p>' . __('Basic image editing is available after upload is complete. Make sure you clickÂ Save before leaving this screen.') . '</p>'
  	) );
--- 74,81 ----
  		'<p>' . __('You can upload media files here without creating a post first. This allows you to upload files to use with posts and pages later and/or to get a web link for a particular file that you can share. There are three options for uploading files:') . '</p>' .
  		'<ul>' .
  			'<li>' . __('<strong>Drag and drop</strong> your files into the area below. Multiple files are allowed.') . '</li>' .
  			'<li>' . __('Clicking <strong>Select Files</strong> opens a navigation window showing you files in your operating system. Selecting <strong>Open</strong> after clicking on the file you want activates a progress bar on the uploader screen.') . '</li>' .
+ 			'<li>' . __('Revert to the <strong>Browser Uploader</strong> by clicking the link below the drag and drop box.') . '</li>' .
  		'</ul>' .
  		'<p>' . __('Basic image editing is available after upload is complete. Make sure you clickÂ Save before leaving this screen.') . '</p>'
  	) );
***************
*** 115,120 ****
--- 122,129 ----
  	include('./admin-footer.php');
  
  } else {
+ 	if ( ! empty( $_REQUEST['post_id'] ) && ! current_user_can( 'edit_post' , $_REQUEST['post_id'] ) )
+ 		wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  	// upload type: image, video, file, ..?
  	if ( isset($_GET['type']) )
***************
*** 136,139 ****
  	else
  		do_action("media_upload_$tab");
  }
- ?>
--- 145,147 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/menu-header.php ./wordpress-3.4/wp-admin/menu-header.php
*** ./wordpress-3.3.2/wp-admin/menu-header.php	2011-12-05 11:47:23.000000000 -0600
--- ./wordpress-3.4/wp-admin/menu-header.php	2012-05-02 15:36:07.000000000 -0500
***************
*** 73,78 ****
--- 73,79 ----
  		$arrow = '<div class="wp-menu-arrow"><div></div></div>';
  
  		$title = wptexturize( $item[0] );
+ 		$aria_label = esc_attr( strip_tags( $item[0] ) ); // strip the comment/plugins/updates bubbles spans but keep the pending number if any
  
  		echo "\n\t<li$class$id>";
  
***************
*** 86,94 ****
  				$menu_file = substr( $menu_file, 0, $pos );
  			if ( ! empty( $menu_hook ) || ( ('index.php' != $submenu_items[0][2]) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) ) ) {
  				$admin_is_parent = true;
! 				echo "<div class='wp-menu-image'><a href='admin.php?page={$submenu_items[0][2]}'>$img</a></div>$arrow<a href='admin.php?page={$submenu_items[0][2]}'$class $aria_attributes>$title</a>";
  			} else {
! 				echo "\n\t<div class='wp-menu-image'><a href='{$submenu_items[0][2]}'>$img</a></div>$arrow<a href='{$submenu_items[0][2]}'$class $aria_attributes>$title</a>";
  			}
  		} elseif ( ! empty( $item[2] ) && current_user_can( $item[1] ) ) {
  			$menu_hook = get_plugin_page_hook( $item[2], 'admin.php' );
--- 87,95 ----
  				$menu_file = substr( $menu_file, 0, $pos );
  			if ( ! empty( $menu_hook ) || ( ('index.php' != $submenu_items[0][2]) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) ) ) {
  				$admin_is_parent = true;
! 				echo "<div class='wp-menu-image'><a href='admin.php?page={$submenu_items[0][2]}' aria-label='$aria_label'>$img</a></div>$arrow<a href='admin.php?page={$submenu_items[0][2]}'$class $aria_attributes>$title</a>";
  			} else {
! 				echo "\n\t<div class='wp-menu-image'><a href='{$submenu_items[0][2]}' aria-label='$aria_label'>$img</a></div>$arrow<a href='{$submenu_items[0][2]}'$class $aria_attributes>$title</a>";
  			}
  		} elseif ( ! empty( $item[2] ) && current_user_can( $item[1] ) ) {
  			$menu_hook = get_plugin_page_hook( $item[2], 'admin.php' );
***************
*** 97,105 ****
  				$menu_file = substr( $menu_file, 0, $pos );
  			if ( ! empty( $menu_hook ) || ( ('index.php' != $item[2]) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) ) ) {
  				$admin_is_parent = true;
! 				echo "\n\t<div class='wp-menu-image'><a href='admin.php?page={$item[2]}'>$img</a></div>$arrow<a href='admin.php?page={$item[2]}'$class $aria_attributes>{$item[0]}</a>";
  			} else {
! 				echo "\n\t<div class='wp-menu-image'><a href='{$item[2]}'>$img</a></div>$arrow<a href='{$item[2]}'$class $aria_attributes>{$item[0]}</a>";
  			}
  		}
  
--- 98,106 ----
  				$menu_file = substr( $menu_file, 0, $pos );
  			if ( ! empty( $menu_hook ) || ( ('index.php' != $item[2]) && file_exists( WP_PLUGIN_DIR . "/$menu_file" ) ) ) {
  				$admin_is_parent = true;
! 				echo "\n\t<div class='wp-menu-image'><a href='admin.php?page={$item[2]}' aria-label='$aria_label'>$img</a></div>$arrow<a href='admin.php?page={$item[2]}'$class $aria_attributes>{$item[0]}</a>";
  			} else {
! 				echo "\n\t<div class='wp-menu-image'><a href='{$item[2]}' aria-label='$aria_label'>$img</a></div>$arrow<a href='{$item[2]}'$class $aria_attributes>{$item[0]}</a>";
  			}
  		}
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/menu.php ./wordpress-3.4/wp-admin/menu.php
*** ./wordpress-3.3.2/wp-admin/menu.php	2011-11-18 02:43:16.000000000 -0600
--- ./wordpress-3.4/wp-admin/menu.php	2012-04-11 19:16:37.000000000 -0500
***************
*** 56,63 ****
  $menu[10] = array( __('Media'), 'upload_files', 'upload.php', '', 'menu-top menu-icon-media', 'menu-media', 'div' );
  	$submenu['upload.php'][5] = array( __('Library'), 'upload_files', 'upload.php');
  	/* translators: add new file */
! 	if ( !$is_iphone )
! 		$submenu['upload.php'][10] = array( _x('Add New', 'file'), 'upload_files', 'media-new.php');
  
  $menu[15] = array( __('Links'), 'manage_links', 'link-manager.php', '', 'menu-top menu-icon-links', 'menu-links', 'div' );
  	$submenu['link-manager.php'][5] = array( _x('All Links', 'admin menu'), 'manage_links', 'link-manager.php' );
--- 56,62 ----
  $menu[10] = array( __('Media'), 'upload_files', 'upload.php', '', 'menu-top menu-icon-media', 'menu-media', 'div' );
  	$submenu['upload.php'][5] = array( __('Library'), 'upload_files', 'upload.php');
  	/* translators: add new file */
! 	$submenu['upload.php'][10] = array( _x('Add New', 'file'), 'upload_files', 'media-new.php');
  
  $menu[15] = array( __('Links'), 'manage_links', 'link-manager.php', '', 'menu-top menu-icon-links', 'menu-links', 'div' );
  	$submenu['link-manager.php'][5] = array( _x('All Links', 'admin menu'), 'manage_links', 'link-manager.php' );
***************
*** 232,236 ****
  	);
  
  require_once(ABSPATH . 'wp-admin/includes/menu.php');
- 
- ?>
--- 231,233 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/moderation.php ./wordpress-3.4/wp-admin/moderation.php
*** ./wordpress-3.3.2/wp-admin/moderation.php	2011-04-28 10:24:49.000000000 -0500
--- ./wordpress-3.4/wp-admin/moderation.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 10,13 ****
  require_once('../wp-load.php');
  wp_redirect( admin_url('edit-comments.php?comment_status=moderated') );
  exit;
- ?>
--- 10,12 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/ms-admin.php ./wordpress-3.4/wp-admin/ms-admin.php
*** ./wordpress-3.3.2/wp-admin/ms-admin.php	2010-12-09 12:02:54.000000000 -0600
--- ./wordpress-3.4/wp-admin/ms-admin.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 11,14 ****
  
  wp_redirect( network_admin_url() );
  exit;
- ?>
--- 11,13 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/ms-delete-site.php ./wordpress-3.4/wp-admin/ms-delete-site.php
*** ./wordpress-3.3.2/wp-admin/ms-delete-site.php	2011-05-22 18:18:58.000000000 -0500
--- ./wordpress-3.4/wp-admin/ms-delete-site.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 80,83 ****
  echo '</div>';
  
  include( './admin-footer.php' );
- ?>
--- 80,82 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/ms-edit.php ./wordpress-3.4/wp-admin/ms-edit.php
*** ./wordpress-3.3.2/wp-admin/ms-edit.php	2010-12-09 12:02:54.000000000 -0600
--- ./wordpress-3.4/wp-admin/ms-edit.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 11,14 ****
  
  wp_redirect( network_admin_url() );
  exit;
- ?>
--- 11,13 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/ms-sites.php ./wordpress-3.4/wp-admin/ms-sites.php
*** ./wordpress-3.3.2/wp-admin/ms-sites.php	2010-12-09 12:02:54.000000000 -0600
--- ./wordpress-3.4/wp-admin/ms-sites.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 11,15 ****
  
  wp_redirect( network_admin_url('sites.php') );
  exit;
- 
- ?>
--- 11,13 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/ms-themes.php ./wordpress-3.4/wp-admin/ms-themes.php
*** ./wordpress-3.3.2/wp-admin/ms-themes.php	2010-12-09 12:02:54.000000000 -0600
--- ./wordpress-3.4/wp-admin/ms-themes.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 11,14 ****
  
  wp_redirect( network_admin_url('themes.php') );
  exit;
- ?>
--- 11,13 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/ms-upgrade-network.php ./wordpress-3.4/wp-admin/ms-upgrade-network.php
*** ./wordpress-3.3.2/wp-admin/ms-upgrade-network.php	2010-12-09 12:02:54.000000000 -0600
--- ./wordpress-3.4/wp-admin/ms-upgrade-network.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 11,15 ****
  
  wp_redirect( network_admin_url('upgrade.php') );
  exit;
- 
- ?>
--- 11,13 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/ms-users.php ./wordpress-3.4/wp-admin/ms-users.php
*** ./wordpress-3.3.2/wp-admin/ms-users.php	2010-12-09 12:02:54.000000000 -0600
--- ./wordpress-3.4/wp-admin/ms-users.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 11,14 ****
  
  wp_redirect( network_admin_url('users.php') );
  exit;
- ?>
--- 11,13 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/my-sites.php ./wordpress-3.4/wp-admin/my-sites.php
*** ./wordpress-3.3.2/wp-admin/my-sites.php	2011-11-30 20:22:07.000000000 -0600
--- ./wordpress-3.4/wp-admin/my-sites.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 118,121 ****
  	</div>
  <?php
  include( './admin-footer.php' );
- ?>
--- 118,120 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/nav-menus.php ./wordpress-3.4/wp-admin/nav-menus.php
*** ./wordpress-3.3.2/wp-admin/nav-menus.php	2011-11-30 22:51:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/nav-menus.php	2012-04-10 21:20:51.000000000 -0500
***************
*** 35,40 ****
--- 35,43 ----
  wp_enqueue_script( 'wp-lists' );
  wp_enqueue_script( 'postbox' );
  
+ if ( wp_is_mobile() )
+ 	wp_enqueue_script( 'jquery-touch-punch' );
+ 
  // Container for any messages displayed to the user
  $messages = array();
  
***************
*** 430,436 ****
  
  // Calling wp_get_nav_menu_to_edit generates $_wp_nav_menu_max_depth
  if ( is_nav_menu( $nav_menu_selected_id ) )
! 	$edit_markup = wp_get_nav_menu_to_edit( $nav_menu_selected_id  );
  
  function wp_nav_menu_max_depth($classes) {
  	global $_wp_nav_menu_max_depth;
--- 430,436 ----
  
  // Calling wp_get_nav_menu_to_edit generates $_wp_nav_menu_max_depth
  if ( is_nav_menu( $nav_menu_selected_id ) )
! 	$edit_markup = wp_get_nav_menu_to_edit( $nav_menu_selected_id );
  
  function wp_nav_menu_max_depth($classes) {
  	global $_wp_nav_menu_max_depth;
***************
*** 545,551 ****
  							<div class="major-publishing-actions">
  								<label class="menu-name-label howto open-label" for="menu-name">
  									<span><?php _e('Menu Name'); ?></span>
! 									<input name="menu-name" id="menu-name" type="text" class="menu-name regular-text menu-item-textbox input-with-default-title" title="<?php esc_attr_e('Enter menu name here'); ?>" value="<?php echo esc_attr( $nav_menu_selected_title  ); ?>" />
  								</label>
  								<?php if ( !empty( $nav_menu_selected_id ) ) :
  									if ( ! isset( $auto_add ) ) {
--- 545,551 ----
  							<div class="major-publishing-actions">
  								<label class="menu-name-label howto open-label" for="menu-name">
  									<span><?php _e('Menu Name'); ?></span>
! 									<input name="menu-name" id="menu-name" type="text" class="menu-name regular-text menu-item-textbox input-with-default-title" title="<?php esc_attr_e('Enter menu name here'); ?>" value="<?php echo esc_attr( $nav_menu_selected_title ); ?>" />
  								</label>
  								<?php if ( !empty( $nav_menu_selected_id ) ) :
  									if ( ! isset( $auto_add ) ) {
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/about.php ./wordpress-3.4/wp-admin/network/about.php
*** ./wordpress-3.3.2/wp-admin/network/about.php	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/about.php	2012-01-06 12:08:45.000000000 -0600
***************
*** 0 ****
--- 1,16 ----
+ <?php
+ /**
+  * Network About administration panel.
+  *
+  * @package WordPress
+  * @subpackage Multisite
+  * @since 3.4.0
+  */
+ 
+ /** Load WordPress Administration Bootstrap */
+ require_once( './admin.php' );
+ 
+ if ( ! is_multisite() )
+ 	wp_die( __( 'Multisite support is not enabled.' ) );
+ 
+ require( '../about.php' );
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/admin.php ./wordpress-3.4/wp-admin/network/admin.php
*** ./wordpress-3.3.2/wp-admin/network/admin.php	2011-04-20 15:19:50.000000000 -0500
--- ./wordpress-3.4/wp-admin/network/admin.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 7,13 ****
   * @since 3.1.0
   */
  
! define( 'WP_NETWORK_ADMIN', TRUE );
  
  /** Load WordPress Administration Bootstrap */
  require_once( dirname( dirname( __FILE__ ) ) . '/admin.php' );
--- 7,13 ----
   * @since 3.1.0
   */
  
! define( 'WP_NETWORK_ADMIN', true );
  
  /** Load WordPress Administration Bootstrap */
  require_once( dirname( dirname( __FILE__ ) ) . '/admin.php' );
***************
*** 22,25 ****
  	exit;
  }
  unset( $redirect_network_admin_request );
- ?>
--- 22,24 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/credits.php ./wordpress-3.4/wp-admin/network/credits.php
*** ./wordpress-3.3.2/wp-admin/network/credits.php	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/credits.php	2012-01-06 12:08:45.000000000 -0600
***************
*** 0 ****
--- 1,16 ----
+ <?php
+ /**
+  * Network Credits administration panel.
+  *
+  * @package WordPress
+  * @subpackage Multisite
+  * @since 3.4.0
+  */
+ 
+ /** Load WordPress Administration Bootstrap */
+ require_once( './admin.php' );
+ 
+ if ( ! is_multisite() )
+ 	wp_die( __( 'Multisite support is not enabled.' ) );
+ 
+ require( '../credits.php' );
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/edit.php ./wordpress-3.4/wp-admin/network/edit.php
*** ./wordpress-3.3.2/wp-admin/network/edit.php	2011-08-18 01:17:47.000000000 -0500
--- ./wordpress-3.4/wp-admin/network/edit.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 25,29 ****
  
  wp_redirect( network_admin_url() );
  exit();
- 
- ?>
--- 25,27 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/freedoms.php ./wordpress-3.4/wp-admin/network/freedoms.php
*** ./wordpress-3.3.2/wp-admin/network/freedoms.php	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/freedoms.php	2012-01-06 12:08:45.000000000 -0600
***************
*** 0 ****
--- 1,16 ----
+ <?php
+ /**
+  * Network Freedoms administration panel.
+  *
+  * @package WordPress
+  * @subpackage Multisite
+  * @since 3.4.0
+  */
+ 
+ /** Load WordPress Administration Bootstrap */
+ require_once( './admin.php' );
+ 
+ if ( ! is_multisite() )
+ 	wp_die( __( 'Multisite support is not enabled.' ) );
+ 
+ require( '../freedoms.php' );
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/menu.php ./wordpress-3.4/wp-admin/network/menu.php
*** ./wordpress-3.3.2/wp-admin/network/menu.php	2011-09-30 11:47:02.000000000 -0500
--- ./wordpress-3.4/wp-admin/network/menu.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 56,66 ****
  
  unset($update_data);
  
! $submenu[ 'upgrade.php' ][10] = array( __( 'Available Updates' ), 'update_core',  'update-core.php' );
  $submenu[ 'upgrade.php' ][15] = array( __( 'Update Network' ), 'manage_network', 'upgrade.php' );
  
  $menu[99] = array( '', 'read', 'separator-last', '', 'wp-menu-separator-last' );
  
  require_once(ABSPATH . 'wp-admin/includes/menu.php');
- 
- ?>
--- 55,63 ----
  
  unset($update_data);
  
! $submenu[ 'upgrade.php' ][10] = array( __( 'Available Updates' ), 'update_core', 'update-core.php' );
  $submenu[ 'upgrade.php' ][15] = array( __( 'Update Network' ), 'manage_network', 'upgrade.php' );
  
  $menu[99] = array( '', 'read', 'separator-last', '', 'wp-menu-separator-last' );
  
  require_once(ABSPATH . 'wp-admin/includes/menu.php');
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/settings.php ./wordpress-3.4/wp-admin/network/settings.php
*** ./wordpress-3.3.2/wp-admin/network/settings.php	2011-11-30 20:22:07.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/settings.php	2012-06-11 15:32:21.000000000 -0500
***************
*** 29,35 ****
  			'<p>' . __('Registration settings can disable/enable public signups. If you let others sign up for a site, install spam plugins. Spaces, not commas, should separate names banned as sites for this network.') . '</p>' .
  			'<p>' . __('New site settings are defaults applied when a new site is created in the network. These include welcome email for when a new site or user account is registered, and what&#8127;s put in the first post, page, comment, comment author, and comment URL.') . '</p>' .
  			'<p>' . __('Upload settings control the size of the uploaded files and the amount of available upload space for each site. You can change the default value for specific sites when you edit a particular site. Allowed file types are also listed (space separated only).') . '</p>' .
- 			'<p>' . __('Checkboxes for media upload buttons set which are shown in the visual editor. If unchecked, a generic upload button is still visible; other media types can still be uploaded if on the allowed file types list.') . '</p>' .
  			'<p>' . __('Menu setting enables/disables the plugin menus from appearing for non super admins, so that only super admins, not site admins, have access to activate plugins.') . '</p>' .
  			'<p>' . __('Super admins can no longer be added on the Options screen. You must now go to the list of existing users on Network Admin > Users and click on Username or the Edit action link below that name. This goes to an Edit User page where you can check a box to grant super admin privileges.') . '</p>'
  ) );
--- 29,34 ----
***************
*** 51,67 ****
  	if ( is_email( $_POST['admin_email'] ) )
  		update_site_option( 'admin_email', $_POST['admin_email'] );
  
! 	$illegal_names = split( ' ', $_POST['illegal_names'] );
  	foreach ( (array) $illegal_names as $name ) {
  		$name = trim( $name );
  		if ( $name != '' )
  			$names[] = trim( $name );
! 		}
  	update_site_option( 'illegal_names', $names );
  
  	if ( $_POST['limited_email_domains'] != '' ) {
  		$limited_email_domains = str_replace( ' ', "\n", $_POST['limited_email_domains'] );
! 		$limited_email_domains = split( "\n", stripslashes( $limited_email_domains ) );
  		$limited_email = array();
  		foreach ( (array) $limited_email_domains as $domain ) {
  			$domain = trim( $domain );
--- 50,66 ----
  	if ( is_email( $_POST['admin_email'] ) )
  		update_site_option( 'admin_email', $_POST['admin_email'] );
  
! 	$illegal_names = explode( ' ', $_POST['illegal_names'] );
  	foreach ( (array) $illegal_names as $name ) {
  		$name = trim( $name );
  		if ( $name != '' )
  			$names[] = trim( $name );
! 	}
  	update_site_option( 'illegal_names', $names );
  
  	if ( $_POST['limited_email_domains'] != '' ) {
  		$limited_email_domains = str_replace( ' ', "\n", $_POST['limited_email_domains'] );
! 		$limited_email_domains = explode( "\n", stripslashes( $limited_email_domains ) );
  		$limited_email = array();
  		foreach ( (array) $limited_email_domains as $domain ) {
  			$domain = trim( $domain );
***************
*** 70,80 ****
  		}
  		update_site_option( 'limited_email_domains', $limited_email );
  	} else {
! 			update_site_option( 'limited_email_domains', '' );
  	}
  
  	if ( $_POST['banned_email_domains'] != '' ) {
! 		$banned_email_domains = split( "\n", stripslashes( $_POST['banned_email_domains'] ) );
  		$banned = array();
  		foreach ( (array) $banned_email_domains as $domain ) {
  			$domain = trim( $domain );
--- 69,79 ----
  		}
  		update_site_option( 'limited_email_domains', $limited_email );
  	} else {
! 		update_site_option( 'limited_email_domains', '' );
  	}
  
  	if ( $_POST['banned_email_domains'] != '' ) {
! 		$banned_email_domains = explode( "\n", stripslashes( $_POST['banned_email_domains'] ) );
  		$banned = array();
  		foreach ( (array) $banned_email_domains as $domain ) {
  			$domain = trim( $domain );
***************
*** 125,131 ****
  				<td>
  					<input name="site_name" type="text" id="site_name" class="regular-text" value="<?php echo esc_attr( $current_site->site_name ) ?>" />
  					<br />
! 					<?php _e( 'What you would like to call this website.' ) ?>
  				</td>
  			</tr>
  
--- 124,130 ----
  				<td>
  					<input name="site_name" type="text" id="site_name" class="regular-text" value="<?php echo esc_attr( $current_site->site_name ) ?>" />
  					<br />
! 					<?php _e( 'What you would like to call this network.' ) ?>
  				</td>
  			</tr>
  
***************
*** 278,284 ****
  			<tr valign="top">
  				<th scope="row"><?php _e( 'Site upload space' ) ?></th>
  				<td>
! 				<label><input type="checkbox" id="upload_space_check_disabled" name="upload_space_check_disabled" value="0"<?php checked( get_site_option( 'upload_space_check_disabled' ), 0 ) ?>/> <?php printf( __( 'Limit total size of files uploaded to %s MB' ), '</label><label><input name="blog_upload_space" type="text" id="blog_upload_space" value="' . esc_attr( get_site_option('blog_upload_space', 10) ) . '" size="3" />' ); ?></label><br />
  				</td>
  			</tr>
  
--- 277,283 ----
  			<tr valign="top">
  				<th scope="row"><?php _e( 'Site upload space' ) ?></th>
  				<td>
! 				<label><input type="checkbox" id="upload_space_check_disabled" name="upload_space_check_disabled" value="0"<?php checked( get_site_option( 'upload_space_check_disabled' ), 0 ) ?>/> <?php printf( __( 'Limit total size of files uploaded to %s MB' ), '</label><label><input name="blog_upload_space" type="number" min="0" style="width: 100px" id="blog_upload_space" value="' . esc_attr( get_site_option('blog_upload_space', 100) ) . '" />' ); ?></label><br />
  				</td>
  			</tr>
  
***************
*** 289,295 ****
  
  			<tr valign="top">
  				<th scope="row"><label for="fileupload_maxk"><?php _e( 'Max upload file size' ) ?></label></th>
! 				<td><?php printf( _x( '%s KB', 'File size in kilobytes' ), '<input name="fileupload_maxk" type="text" id="fileupload_maxk" value="' . esc_attr( get_site_option( 'fileupload_maxk', 300 ) ) . '" size="5" />' ); ?></td>
  			</tr>
  		</table>
  
--- 288,294 ----
  
  			<tr valign="top">
  				<th scope="row"><label for="fileupload_maxk"><?php _e( 'Max upload file size' ) ?></label></th>
! 				<td><?php printf( _x( '%s KB', 'File size in kilobytes' ), '<input name="fileupload_maxk" type="number" min="0" style="width: 100px" id="fileupload_maxk" value="' . esc_attr( get_site_option( 'fileupload_maxk', 300 ) ) . '" />' ); ?></td>
  			</tr>
  		</table>
  
***************
*** 322,328 ****
  			$menu_perms = get_site_option( 'menu_items' );
  			$menu_items = apply_filters( 'mu_menu_items', array( 'plugins' => __( 'Plugins' ) ) );
  			foreach ( (array) $menu_items as $key => $val ) {
! 				echo "<label><input type='checkbox' name='menu_items[" . $key . "]' value='1'" .  ( isset( $menu_perms[$key] ) ? checked( $menu_perms[$key], '1', false ) : '' ) . " /> " . esc_html( $val ) . "</label><br/>";
  			}
  			?>
  				</td>
--- 321,327 ----
  			$menu_perms = get_site_option( 'menu_items' );
  			$menu_items = apply_filters( 'mu_menu_items', array( 'plugins' => __( 'Plugins' ) ) );
  			foreach ( (array) $menu_items as $key => $val ) {
! 				echo "<label><input type='checkbox' name='menu_items[" . $key . "]' value='1'" . ( isset( $menu_perms[$key] ) ? checked( $menu_perms[$key], '1', false ) : '' ) . " /> " . esc_html( $val ) . "</label><br/>";
  			}
  			?>
  				</td>
